{
  "compileOnSave": true,
  "extends": "@tsconfig/node14/tsconfig.json",
  "compilerOptions": {
    "moduleResolution": "Node",
    "alwaysStrict": true,
    "declaration": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "noImplicitAny": true,
    "preserveConstEnums": true,
    "removeComments": true,
    "sourceMap": true,
    "resolveJsonModule": true,
    "noUnusedLocals": true,
    "noImplicitThis": true,
    "strictNullChecks": true,
    "noImplicitReturns": true,
    "suppressImplicitAnyIndexErrors": true,
    "forceConsistentCasingInFileNames": true,
    "strictPropertyInitialization": false,
    "target": "ES2020",
    "outDir": "dist",
    "baseUrl": ".",
    "rootDirs": ["src", "spec", "lib"]
  },
}
